## mingw-w64-mdbook-pikchr-0.1.7-1.src.tar.zst

=== Makefile ===
demos/diagram.svg: demos/diagram.pikchr target/release/pikchr
	target/release/pikchr --svg-only $< > $@

target/release/pikchr: src/pikchr.c
	mkdir -p target/release
	${CC} -O2 -DPIKCHR_SHELL -o $@ $< -lm

=== PKGBUILD ===
# Maintainer: Konstantin Podsvirov <konstantin@podsvirov.pro>

_realname=mdbook-pikchr
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=0.1.7
pkgrel=1
pkgdesc="A mdbook preprocessor to render pikchr code blocks as images in your book (mingw-w64)"
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64')
url="https://github.com/podsvirov/mdbook-pikchr"
license=('MIT')
depends=("${MINGW_PACKAGE_PREFIX}-mdbook")
makedepends=("${MINGW_PACKAGE_PREFIX}-rust")
options=('staticlibs' 'strip')
source=("${_realname}-${pkgver}.tar.gz::${url}/archive/v${pkgver}.tar.gz")
sha256sums=('e3f1bcba19db94fa66ea12152e7082de0e1ad6171b1fd6638f2b65a9cfbb5b60')

prepare() {
  cd "${srcdir}"
  rm -rf "build-${MSYSTEM}" | true
  cp -r "${_realname}-${pkgver}" "build-${MSYSTEM}"
  cd "${srcdir}/build-${MSYSTEM}"

  sed -e "s/https:\/\/raw.githubusercontent.com\/podsvirov\/mdbook-pikchr\/master\///" -i README.md
  sed -e "s/debug/release/" -i book.toml

  "${MINGW_PREFIX}/bin/cargo.exe" fetch \
    --locked
}

build() {
  msg "Cargo build for ${MSYSTEM}"
  cd "${srcdir}/build-${MSYSTEM}"

  "${MINGW_PREFIX}/bin/cargo.exe" build \
    --release \
    --locked

  msg "Build documentation"

  "${MINGW_PREFIX}/bin/mdbook.exe" build
  cd book
  rm -rf target src
  rm -f book.toml Cargo.lock Cargo.toml \
    build.rs LICENSE Makefile \
    .gitignore .nojekyll \
    Dockerfile
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  "${MINGW_PREFIX}/bin/cargo.exe" test \
    --release \
    --locked
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  install -Dm755 "target/release/${_realname}.exe" "${pkgdir}${MINGW_PREFIX}/bin/${_realname}.exe"
  install -d "${pkgdir}${MINGW_PREFIX}/share/doc/${_realname}"
  cp -a "book" "${pkgdir}${MINGW_PREFIX}/share/doc/${_realname}/html"
  install -Dm644 "LICENSE" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
